# Class FormControlErrorDirective

#### Deprecated

removed use the rxapControlError or rxapControlErrors directive

#### Implements

- OnInit
- OnDestroy

- Defined in packages/angular/forms/src/lib/directives/form-control-error.directive.ts:27

#####
Index

### Constructors

constructor

### Properties

errorKey
name
parent
subscription?
template
viewContainerRef

### Methods

ngOnDestroy
ngOnInit

## Constructors

### constructor

- new FormControlErrorDirective(template, parent, viewContainerRef): FormControlErrorDirective

- #### Parameters

  - template: TemplateRef<{
    $implicit: ValidationErrors;
    }>
  - parent: ControlContainer
  - viewContainerRef: ViewContainerRef

  #### Returns FormControlErrorDirective

  - Defined in packages/angular/forms/src/lib/directives/form-control-error.directive.ts:45

## Properties

### errorKey

errorKey: string

- Defined in packages/angular/forms/src/lib/directives/form-control-error.directive.ts:41

### name

name: string

- Defined in packages/angular/forms/src/lib/directives/form-control-error.directive.ts:34

### `Private` `Readonly` parent

parent: ControlContainer

- Defined in packages/angular/forms/src/lib/directives/form-control-error.directive.ts:47

### `Private` `Optional` subscription

subscription?: Subscription

- Defined in packages/angular/forms/src/lib/directives/form-control-error.directive.ts:43

### `Private` `Readonly` template

template: TemplateRef<{
$implicit: ValidationErrors;
}>

#### Type declaration

- ##### $implicit: ValidationErrors

- Defined in packages/angular/forms/src/lib/directives/form-control-error.directive.ts:46

### `Private` `Readonly` viewContainerRef

viewContainerRef: ViewContainerRef

- Defined in packages/angular/forms/src/lib/directives/form-control-error.directive.ts:48

## Methods

### ngOnDestroy

- ngOnDestroy(): void

- #### Returns void

  Implementation of OnDestroy.ngOnDestroy

  - Defined in packages/angular/forms/src/lib/directives/form-control-error.directive.ts:72

### ngOnInit

- ngOnInit(): void

- #### Returns void

  Implementation of OnInit.ngOnInit

  - Defined in packages/angular/forms/src/lib/directives/form-control-error.directive.ts:52